curl --request GET \
--url https://api.korint.io/assets/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/assets/{assetId}"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"id": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"status": "ASSET_CREATED",
"policyId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"createdOnBranch": true,
"editedOnBranch": true,
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"originAssetId": "<string>",
"externalAssetId": "<string>",
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"type": "PREMIUM",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"chargeType": "ONE_TIME"
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123,
"priceBand": "<string>"
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"type": "PREMIUM",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"chargeType": "ONE_TIME",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"chargeType": "ONE_TIME"
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123,
"priceBand": "<string>"
}
}{
"code": "FORBIDDEN",
"message": "Forbidden",
"details": {}
}{
"code": "ASSET_NOT_FOUND",
"message": "Asset {assetId} ({branchId}) not found",
"details": {}
}Get Asset
Authorizations
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
assetId
^asset(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
Optional: the whenAt datetime
Optional: the simulatedAt datetime
Optional: the branchId
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Response
Entity type
assetId
^asset(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Last modified date of the asset
Creation date of the asset
Status of the asset
ASSET_CREATED, ASSET_REMOVED, ASSET_QUOTED, ASSET_CONFIRMED, ASSET_STARTED, ASSET_STOPPED, ASSET_CANCELLED policyId of asset owner
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$custom fields per product
Show child attributes
Show child attributes
Optional: Name of the entity
Whether the asset was created on a branch
Whether the asset was edited on a branch
Date the asset starts
Date the asset stops
Date the asset was cancelled
Id of the asset this asset replaces, if any
^asset(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$externalAssetId
asset quote
Show child attributes
Show child attributes
Prorated asset quote based on the invoicing frequency of the policy
Show child attributes
Show child attributes
Was this page helpful?

